| CMSIS-Driver Version 2.02 Peripheral Interface for Middleware and Application Code

- CMSIS
- CORE
- Driver
- DSP
- RTOS API
- Pack
- SVD

- Main Page
- Usage and Description
- Reference

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Macros
SPI Miscellaneous Controls
SPI Control Codes

Specifies additional miscellaneous controls. More...

## Macros

#define | ARM_SPI_SET_BUS_SPEED (0x10UL << ARM_SPI_CONTROL_Pos)
| Set Bus Speed in bps; arg = value.
#define | ARM_SPI_GET_BUS_SPEED (0x11UL << ARM_SPI_CONTROL_Pos)
| Get Bus Speed in bps.
#define | ARM_SPI_SET_DEFAULT_TX_VALUE (0x12UL << ARM_SPI_CONTROL_Pos)
| Set default Transmit value; arg = value.
#define | ARM_SPI_CONTROL_SS (0x13UL << ARM_SPI_CONTROL_Pos)
| Control Slave Select; arg: 0=inactive, 1=active.
#define | ARM_SPI_ABORT_TRANSFER (0x14UL << ARM_SPI_CONTROL_Pos)
| Abort current data transfer.

## Description

Specifies additional miscellaneous controls.

## Macro Definition Documentation

#define ARM_SPI_ABORT_TRANSFER (0x14UL << ARM_SPI_CONTROL_Pos)

Abort current data transfer.

See Also
  ARM_SPI_Control

#define ARM_SPI_CONTROL_SS (0x13UL << ARM_SPI_CONTROL_Pos)

Control Slave Select; arg: 0=inactive, 1=active.

See Also
  ARM_SPI_Control

#define ARM_SPI_GET_BUS_SPEED (0x11UL << ARM_SPI_CONTROL_Pos)

Get Bus Speed in bps.

See Also
  ARM_SPI_Control

#define ARM_SPI_SET_BUS_SPEED (0x10UL << ARM_SPI_CONTROL_Pos)

Set Bus Speed in bps; arg = value.

See Also
  ARM_SPI_Control

#define ARM_SPI_SET_DEFAULT_TX_VALUE (0x12UL << ARM_SPI_CONTROL_Pos)

Set default Transmit value; arg = value.

See Also
  ARM_SPI_Control